#!/usr/bin/webif-page
<?
. /usr/lib/webif/webif.sh

validate <<EOF
user|FORM_submit|@TR<<Submit>>||$FORM_submit
EOF

if [ "$?" != "0" ]
then
	FORM_submit=""
fi

load_settings fon
if empty "$FORM_submit"; then
	get_default mode wan mode
	get_default ip wan ipaddr
	get_default netmask wan netmask
	get_default gateway wan gateway
	get_default dns wan dns
	get_default username wan username
	get_default password wan password
	get_default pptp_server wan server
else
	FORM_mode=$(echo -e "$FORM_mode" |sed s/\`//g|sed s/\"//g |sed s/\'//g)
	FORM_ip=$(echo -e "$FORM_ip" |sed s/\`//g|sed s/\"//g |sed s/\'//g)
	FORM_netmask=$(echo -e "$FORM_netmask" |sed s/\`//g|sed s/\"//g |sed s/\'//g)
	FORM_gateway=$(echo -e "$FORM_gateway" |sed s/\`//g|sed s/\"//g |sed s/\'//g)
	FORM_dns=$(echo -e "$FORM_dns" |sed s/\`//g|sed s/\"//g |sed s/\'//g)
	FORM_pptp_server=$(echo -e "$FORM_pptp_server" |sed s/\`//g|sed s/\"//g |sed s/\'//g)
	case "$FORM_mode" in
		static)
			V_S="required"
		;;
		pppoe)
			V_PPP="required"
		;;
		pptp)
			V_PPP="required"
			V_PPTP="required"
		;;
	esac

	validate <<EOF
string|FORM_mode|@TR<<Mode>>||$FORM_mode
ip|FORM_ip|@TR<<IP Address>>|$V_S|$FORM_ip
ip|FORM_netmask|@TR<<Netmask>>|$V_S|$FORM_netmask
ip|FORM_dns|@TR<<DNS Address>>|$V_S|$FORM_dns
ip|FORM_gateway|@TR<<Default Gateway>>|$V_S|$FORM_gateway
ip|FORM_pptp_server|@TR<<PPTP Server IP>>|$V_PPTP|$FORM_pptp_server
string|FORM_username|@TR<<Username>>|$V_PPP|$FORM_username
user|FORM_username|@TR<<Username>>||$FORM_username
string|FORM_password|@TR<<Password>>|$V_PPP|$FORM_password
user|FORM_password|@TR<<Password>>||$FORM_password
EOF
	equal "$?" 0 && {
		save_setting fon wan mode "$FORM_mode"
		case "$FORM_mode" in
			static|dhcp)
				save_setting fon wan ipaddr "$FORM_ip"
			;;
			pppoe|pptp)
				save_setting fon wan username "$FORM_username"
				save_setting fon wan password "$FORM_password"
			;;
		esac
		case "$FORM_mode" in
			static)
				save_setting fon wan netmask "$FORM_netmask"
				save_setting fon wan gateway "$FORM_gateway"
				save_setting fon wan dns "$FORM_dns"
			;;
			pptp)
				save_setting fon wan pptp_server "$FORM_pptp_server"
			;;
		esac
		commit_settings
		lock -u /var/run/restart-services
		lock -u /var/run/network-connection
		SAVED=1
	}
fi

sel_conn=1
. /usr/lib/webif/advanced.sh

header "Internet_connection#Internet Connection Settings"

cat <<EOF
<script type="text/javascript">
<!--
function modechange()
{
	set_visible('static', isset('mode', 'static'));
	set_visible('ppp', (isset('mode', 'pppoe') || isset('mode', 'pptp')));
	set_visible('pptp', isset('mode', 'pptp'));
}
-->
</script>
EOF

display_form <<EOF
	infotable|Connection_help#Here you can configure the way your Fonera connects to the Internet. Currently there are 4 protocols available: DHCP, static IP configuration, PPPoE and PPTP. For most people DHCP should work; though, if it doesn't for you, check with your Internet provider (ISP) what protocol you must use or look at the installation reference manual or the troubleshooting manual from FON.
	start_table|0|10|5
		add_row
			onchange|modechange
			add_label_cell|@TR<<Mode>>
			start_select_cell|mode|$FORM_mode|tableTextSelect
				option|dhcp|DHCP
				option|static|@TR<<Static IP>>
				option|pppoe|PPPoE
				option|pptp|PPTP
			end_select_cell
		end_row
	end_table
	
	start_div|static
		start_table|0|10|5
			add_row
				infotable|Static IP settings
			end_row
			add_row
				add_label_cell|@TR<<IP Address>>
				add_input_cell|ip|$FORM_ip|tableTextButton
			end_row
			add_row
				add_label_cell|@TR<<Network Mask>>
				add_input_cell|netmask|$FORM_netmask|tableTextButton
			end_row
			add_row
				add_label_cell|@TR<<Gateway>>
				add_input_cell|gateway|$FORM_gateway|tableTextButton
			end_row
			add_row
				add_label_cell|@TR<<DNS Server>>
				add_input_cell|dns|$FORM_dns|tableTextButton
			end_row
		end_table
	end_div
	
	start_div|ppp
		start_table|0|10|5
			add_row
				infotable|PPPoE and PPTP settings
			end_row
			add_row
				add_label_cell|@TR<<Username>>
				add_input_cell|username|$FORM_username|tableTextButton
			end_row
			add_row
				add_label_cell|@TR<<Password>>
				add_input_cell|password|$FORM_password|tableTextButton
			end_row
		end_table
	end_div ppp
	
	start_div|pptp
		start_table|0|10|5
			add_row
				infotable|PPTP Settings
			end_row
			add_row
				add_label_cell|@TR<<PPTP Server IP>>
				add_input_cell|pptp_server|$FORM_pptp_server|tableTextButton
			end_row
		end_table
	end_div pptp
	
	start_table|0|10|5
		add_button_cell|submit|@TR<<Submit>>
	end_table
EOF

cat <<EOF
<script>
<!--
modechange();
-->
</script>
EOF

footer
?>


